From 012370267c4a0943007bda33dba339fc060ff435 Mon Sep 17 00:00:00 2001
From: Rob Arrow <>
Date: Fri, 25 Apr 2025 19:59:52 +0530
Subject: [PATCH] Fix Segfault during Reconfigure

Signed-off-by: mahesh pittala <mahesh@multicorewareinc.com>
---
 source/common/param.cpp | 6 ++----
 source/encoder/api.cpp  | 2 +-
 2 files changed, 3 insertions(+), 5 deletions(-)

diff --git a/source/common/param.cpp b/source/common/param.cpp
index 759e67216..6aed44ac2 100755
--- a/source/common/param.cpp
+++ b/source/common/param.cpp
@@ -3036,11 +3036,9 @@ void x265_copy_params(x265_param* dst, x265_param* src)
     memcpy(dst->svtHevcParam, src->svtHevcParam, sizeof(EB_H265_ENC_CONFIGURATION));
 #endif
     /* Film grain */
-    if (src->filmGrain)
-        dst->filmGrain = src->filmGrain;
+    dst->filmGrain = src->filmGrain;
     /* Aom Film grain*/
-    if (src->aomFilmGrain)
-        dst->aomFilmGrain = src->aomFilmGrain;
+    dst->aomFilmGrain = src->aomFilmGrain;
     dst->bEnableSBRC = src->bEnableSBRC;
     dst->bConfigRCFrame = src->bConfigRCFrame;
     dst->isAbrLadderEnable = src->isAbrLadderEnable;
diff --git a/source/encoder/api.cpp b/source/encoder/api.cpp
index e89f0cf8d..0a06c6eb3 100644
--- a/source/encoder/api.cpp
+++ b/source/encoder/api.cpp
@@ -309,7 +309,7 @@ int x265_encoder_reconfig(x265_encoder* enc, x265_param* param_in)
 {
     if (!enc || !param_in)
         return -1;
-    x265_param save;
+    x265_param save = {};
     Encoder* encoder = static_cast<Encoder*>(enc);
     if (strlen(encoder->m_param->csvfn) && param_in->csvfpt != NULL)
          encoder->m_param->csvfpt = param_in->csvfpt;
-- 
2.47.0.windows.1

